#ifndef __VIDEO_H__
#define __VIDEO_H__

#include "ocl_types.h"
#include <gccore.h>

int OCL_VIDEO_Init(VIDEO_Ptr* out_ptr, int screen_w, int screen_h);
void OCL_VIDEO_EndFrame(const VIDEO_Ptr* in_ptr);


int OCL_VIDEO_RenderText(const VIDEO_Ptr* in_ptr, char* Text,  int size, int x, int y, unsigned short fg_color, unsigned short bg_color);

int OCL_VIDEO_RenderImage(const VIDEO_Ptr* in_ptr, const u16* img, int w, int h, int screen_x, int screen_y);

void OCL_VIDEO_Destruct(VIDEO_Ptr* in_ptr);

#endif //__VIDEO_H__

